Bug 248399 - devel/jetbrains-goland: Update to 2020.2.3
Summary: devel/jetbrains-goland: Update to 2020.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL: https://www.jetbrains.com/go/whatsnew/
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-07-31 22:32 UTC by Dmitry Wagin
Modified: 2020-10-24 08:16 UTC (History)
1 user (show)

See Also:


Attachments
jetbrains-goland.diff (35.00 KB, patch)
2020-07-31 22:32 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval-
Details | Diff
jetbrains-goland.diff (35.51 KB, patch)
2020-08-01 15:53 UTC, Dmitry Wagin
no flags Details | Diff
jetbrains-goland.diff (37.37 KB, patch)
2020-09-19 17:43 UTC, Dmitry Wagin
dmitry.wagin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Wagin 2020-07-31 22:32:56 UTC
Created attachment 216923 [details]
jetbrains-goland.diff

Update to 2020.2
Comment 1 Automation User 2020-07-31 22:59:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/173170213
Comment 2 Dmitry Wagin 2020-08-01 07:22:10 UTC
Comment on attachment 216923 [details]
jetbrains-goland.diff

please hold on, some problem with compilation
Comment 3 Dmitry Wagin 2020-08-01 15:53:51 UTC
Created attachment 216940 [details]
jetbrains-goland.diff

some cosmetic changes
Comment 4 Dmitry Wagin 2020-08-01 15:54:00 UTC
Regression from 2020.1.4

https://youtrack.jetbrains.com/issue/GO-9758
Comment 5 commit-hook freebsd_committer 2020-08-04 04:43:44 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Aug  4 04:43:11 UTC 2020
New revision: 544134
URL: https://svnweb.freebsd.org/changeset/ports/544134

Log:
  Update to 2020.2

  PR:		248399
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (maintainer)

Changes:
  head/devel/jetbrains-goland/Makefile
  head/devel/jetbrains-goland/distinfo
  head/devel/jetbrains-goland/pkg-plist
Comment 6 commit-hook freebsd_committer 2020-08-04 04:47:46 UTC
A commit references this bug:

Author: lwhsu
Date: Tue Aug  4 04:47:34 UTC 2020
New revision: 544135
URL: https://svnweb.freebsd.org/changeset/ports/544135

Log:
  Revert r544134, there is a regression from 2020.1.4

  PR:		248399

Changes:
  head/devel/jetbrains-goland/Makefile
  head/devel/jetbrains-goland/distinfo
  head/devel/jetbrains-goland/pkg-plist
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2020-09-01 00:32:35 UTC
^Triage: over to committer.
Comment 8 Dmitry Wagin 2020-09-19 17:43:51 UTC
Created attachment 218082 [details]
jetbrains-goland.diff

GoLand 2020.2.3 is out with lots of bug fixes and new features.

https://confluence.jetbrains.com/display/GOLAND/GoLand+2020.2.3+Release+Notes

GO-9758 is also fixed.
Comment 9 commit-hook freebsd_committer 2020-10-24 08:16:57 UTC
A commit references this bug:

Author: lwhsu
Date: Sat Oct 24 08:16:08 UTC 2020
New revision: 553162
URL: https://svnweb.freebsd.org/changeset/ports/553162

Log:
  devel/jetbrains-goland: Update to 2020.2.3

  PR:		248399
  Submitted by:	Dmitry Wagin <dmitry.wagin@ya.ru> (maintainer)

Changes:
  head/devel/jetbrains-goland/Makefile
  head/devel/jetbrains-goland/distinfo
  head/devel/jetbrains-goland/pkg-plist